# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(English.pm) perl(HTML/LinkExtor.pm) perl(LWP/UserAgent.pm) perl(Marpa/XS/Version.pm) perl(Text/Diff.pm) perl(URI/URL.pm) perl(charnames.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Marpa-XS
Version:        1.008000
Release:        alt2_4
Summary:        Language grammar parser module for Perl
License:        LGPLv3+
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Marpa-XS/
Source0:        http://www.cpan.org/authors/id/J/JK/JKEGL/Marpa-XS-%{version}.tar.gz
Patch1:         0001-Require-2.124-Data-Dumper.patch
BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(Fatal.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl-Glib-devel
BuildRequires:  perl(Glib/Install/Files.pm)
BuildRequires:  perl(IPC/Cmd.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Time/Piece.pm)
# Run-time
BuildRequires:  perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/PkgConfig.pm)
BuildRequires:  perl(Glib.pm)
# Bareword Glib::Log exported from Glib probably
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Scalar/Util.pm)
# Using ExtUtils::PkgConfig instead of perl(XSLoader)
BuildRequires:  pkgconfig(glib-2.0)
# Tests
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(YAML/XS.pm)
# Optional tests
BuildRequires:  perl(PPI.pm)
BuildRequires:  perl(PPI/Document.pm)
BuildRequires:  perl(Task/Weaken.pm)
# perl(Test::Weaken) >= 3.004000 not packaged yet
# AFAIK the PPI is used at test-time only. Do not require it?
Requires:       perl(PPI.pm) >= 1.206
Provides:       perl(Marpa/XS/Version.pm) = %{version}



# Remove under-specified dependencies


Source44: import.info
%filter_from_requires /^^perl\\(Carp\\)$/d
%filter_from_provides /^^perl\\(Marpa::XS\\)$/d
  

%description
Marpa::XS is a XS version of Marpa.

Marpa parses any language whose grammar can be written in BNF. That 
includes recursive grammars, ambiguous grammars, infinitely ambiguous 
grammars and grammars with useless or empty productions.


%prep
%setup -q -n Marpa-XS-%{version}
%patch1 -p1


%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build


%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Marpa*
%doc Changes COPYING COPYING.LESSER LICENSE README


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt2_4
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt2_3
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt1_3
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt1_1
- fc import

